package com.persagy.revit.backstage.model

import com.persagy.revit.models.jsonAnalyzer.Point
import com.alibaba.fastjson.annotation.JSONField

/**
 *
 *
 * @author jxing
 */
class DCFloor {

    @JSONField(name = "FloorID")
//    @JSONField(name = "Id")
    var id : String? = null

    // 更新FloorMap 为 文件服务器上的key
    @JSONField(name = "StructureInfo")
    var structureInfo : HashMap<String, String>? = null

    @JSONField(name = "ModelId")
    var modelId : String? = null

    @JSONField(name = "Outline")
    var outline : ArrayList<Point>? = null

    /** 楼层名称 */
    @JSONField(name = "FloorName")
    var name: String? = null

    /** 楼层本地名称 */
    @JSONField(name = "FloorLocalName")
    var localName: String? = null

    /** 建筑id */
    @JSONField(name = "BuildID")
    var buildId: String? = null
}