package com.persagy.revit.models.jsonAnalyzer


import com.alibaba.fastjson.annotation.JSONField
import com.persagy.revit.models.baseGraph.*

/**
 *
 *
 * @author jxing
 */

open class BaseGraph {
    @JSONField(name = "Spaces")
    var spaces : ArrayList<BGSpace>? = null

    @JSONField(name = "Walls")
    var walls : ArrayList<BGWall>? = null

    @JSONField(name = "VirtualWalls")
    var virtualWalls : ArrayList<BGVirtualWall>? = null

    @JSONField(name = "Columns")
    var columns : ArrayList<BGColumn>? = null

    @JSONField(name = "Doors")
    var doors : ArrayList<BGDoor>? = null

    @JSONField(name = "Windows")
    var windows : ArrayList<BGWindow>? = null
}